LINUX_LOGO(1)

NAME
linux_logo - Color ANSI penguin logo w/ system information.

SYNOPSIS
linux_logo [-h | -v ] [-a ] [ -b | -c] [-d] [-D file] [-e file] [-f] [-g | -l] [-k] [-i] [-p] [-s] [-u] [-x] [-y] [-o Num] [-t string] [-L num | NAME | list | random_xy] [-F format]

DESCRIPTION
linux_logo is a program that generates a color ANSI picture of a penguin which includes some system information obtained from the /proc filesystem.

OPTIONS

-h  Show summary of options.

-v  Show version of program.

-ascii -a
    Display the logo as monochrome ascii.

-banner -b
    Display the banner-style logo.

-classic -c
    Display the original penguin logo.

-d  Disable "prettying" of output

-D filename
    Use logo from "filename"

-e filename
    Use cpuinfo from "filename" for debugging purposes

-f  Force the screen clear before drawing the logo.

-F STRING
    Use custom output STRING for sysinfo. See below for more info.

-g  Display only the system information.

-i  Ignore the ~/.linux_logo and /etc/linux_logo.conf config files

-k  Keep sysinfo flushed-left (non-centered)

-l  Display only the logo.

-L ...
    Custom logo options. See LOGO SELECTION below

-o Num
    Shift output Num spaces to the right

-p  Preserve cursor location

-s  Skip the BogoMips test [ speeds up display on non-Linux platforms ].

-t string
    Display an arbitrary string

-u  Display the system uptime.

-w val
    Set screen width to val

-y  Display the load average.

PROCESSOR INFORMATION

  CPUINFO
The cpuinfo supplied in /proc/cpuinfo is not always usable by linux_logo.

If the cpuinfo for your microprocessor generates ugly output, send the output from your /proc/cpuinfo to the author.

  FORMAT
The format string special sequences start with # (use ## to print #). All other characters, except for \n, are printed as is.

Seq | Description | Output
## |  | #
#B | Bogomips | 374.37
#C | Compiled Date | #47 Fri Jan 8 10:37:09 EST 1999
#E | User Text | My Favorite Linux Distribution
 | Displayed with -t |
#H | Hostname | deranged
#L | Load average | Load average 0.04, 0.01, 0.01
#M | Megahertz | 188Mhz
 | where supported |
#N | Number of CPU's | Two
#O | OS Name | Linux
#P | Processor or Processors | Processor
#R | Ram | 64M
 | in Megabytes |
#S | Plural | s
#T | Type of CPU | K6
#U | Uptime | Uptime 10 hours 59 minutes
#V | Version of OS | 2.2.0-pre5
#X | CPU Vendor | AMD
\\n | carriage return |

Notes:

•   The letter after the # must be capitalized.

•   Options not available are silently ignored.

•   Megahertz only available on some platforms and newer kernels.

•   See defaults.h on how to have #N report in non-english numbers.

•   Plural [#S] gives nothing if there is 1 cpu, gives 's' otherwise.

•   The "-y" and "-u" [display uptime and load average] command line options don't affect the output if a custom format is used.

The default banner format is:

"#O Version #V, Compiled #C\n \
#N #M#X#T Processor#S, #R RAM, #B Bogomips Total\n \
#H\n"

The default banner format displays the following on the author's computer:
Linux Version 2.2.0-pre5, Compiled #47 Fri Jan 8 10:37:09 EST 1999
One 188MHz AMD K6 Processor, 64M RAM, 374.37 Bogomips Total
deranged
Another example would be:

linux_logo -F "Redhat Linux 5.2\nKernel Version #V\n#U\n#L\n"

which would display:
Redhat Linux 5.2
Kernel Version 2.2.0-pre5
Uptime 11 hours 4 minutes
Load average 0.00, 0.00, 0.00

  LOGO SELECTION

The -L command line option is used to choose which logo to use.

•   "-L list" will list all of the logos available

•   "-L NAME" will display the logo with name NAME.

•   "-L NUM" will display logo with number NUM (deprecated)

•   "-L random_xy" will pick a logo at random, with criteria xy.

    When you replace x with the letter:
    b : pick a random banner mode logo
    c : pick a random classic mode logo
    e : pick a logo from either banner or classic

    When you replace y with the letter:
    a: pick a random ascii logo
    n: pick a non-ascii logo
    e: pick either type of logo

    So to summarize:
    "-L random_ba" picks a random ascii banner,
    "-L random_ce" picks a random classic logo
    "-L random_ee" picks any logo, etc.

DEBIAN
The Debian pre-packaged version of linux_logo includes the Debian logo in addition to the 'Classic' and 'Banner' logos. The Debian logo is the default logo unless one of the other logos is specified on the command line.

CONFIG FILES
~/.linux_logo and /etc/linux_logo.conf can be filled with command line options and will be parsed before the actual command line

SEE ALSO
/usr/share/doc/linuxlogo/, http://www.deater.net/weave

AUTHOR

Vince Weaver
    <vince@deater.net>.

This manual page was written by Steve Kostecke <steve@debian.org>, for the Debian GNU/Linux system.